Bug 1100747 - python-ZODB3-3.11.0a3 is available
Summary: python-ZODB3-3.11.0a3 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-ZODB3
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: python-repoze-sphinx-autointerface python-persistent python-BTrees python-random2 python-zodbpickle python-ZODB python-ZEO
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-23 11:38 UTC by Upstream Release Monitoring
Modified: 2014-11-01 16:31 UTC (History)
1 user (show)

Fixed In Version: python-ZODB3-3.11.0-1.fc21
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-01 16:31:45 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2014-05-23 11:38:05 UTC
Latest upstream release: 3.11.0a3
Current version/release in Fedora Rawhide: 3.10.5-5.fc20
URL: https://pypi.python.org/packages/source/Z/ZODB3/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Jerry James 2014-05-23 13:56:48 UTC
Is something wrong with upstream release monitoring?  This version has been available for over a year.  Why is the bug being filed only now?

In any case, the 'a' in 3.11.0a3 is for "alpha".  I will not update to this version.  Let's wait for it to hit at least beta status.

Comment 2 Till Maas 2014-05-24 08:14:22 UTC
Latest upstream release: 3.11.0
Current version/release in Fedora Rawhide: 3.10.5-5.fc20
URL: https://pypi.python.org/packages/source/Z/ZODB3/

There is a 3.11.0 available now, not sure what went wrong previously, but if 3.11.0a3 is a pre-release of 3.11.0, the monitoring cannot detect it, because for it 3.11.0a3 is newer than 3.11.0. Therefore it might be better to use a regex that does not allow non-numerical versions to get only stable releases reported.

Comment 3 Upstream Release Monitoring 2014-05-26 12:37:53 UTC
Latest upstream release: 3.11.0a3
Current version/release in Fedora Rawhide: 3.10.5-5.fc20
URL: https://pypi.python.org/packages/source/Z/ZODB3/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 4 Jerry James 2014-06-12 15:46:13 UTC
Version 3.11.0 split up the formerly monolithic ZODB3 package into individual constituents.  Review requests have been filed for all of the new pieces.

Comment 5 Fedora Update System 2014-10-21 02:24:48 UTC
python-ZODB3-3.11.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-ZODB3-3.11.0-1.fc21

Comment 6 Fedora Update System 2014-10-21 17:24:31 UTC
Package python-ZODB3-3.11.0-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-ZODB3-3.11.0-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13389/python-ZODB3-3.11.0-1.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-11-01 16:31:45 UTC
python-ZODB3-3.11.0-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.